# Laurent - 3.0-0.1mdk - Temporary macros. To remove later
%define _prefix         /opt/kde3/
%define _exec-prefix    /opt/kde3/
%define _bindir         /opt/kde3/bin/
%define _sbindir        /opt/kde3/sbin/
%define _sysconfdir     /opt/kde3/etc/
%define _datadir        /opt/kde3/share/
%define _includedir     /opt/kde3/include/
%define _libdir         /opt/kde3/lib/
%define _libexecdir     /opt/kde3/lib/
%define _localstatedir  /opt/kde3/var/lib/
%define _sharedstatedir /opt/kde3/com/
%define _mandir         /opt/kde3/share/man/
%define _infodir        /opt/kde3/share/info/
%define _docdir         /opt/kde3/share/doc/
%define _menudir        /usr/lib/menu

# David - 2.3.1-15mdk - Reminder: 7.2 is for IA32 only
#                                 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

# David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_3 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.3 ]; then echo 1; else echo 0; fi)}

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor8_3
%define unstable 1
%else
%define unstable 0
%endif

Name:		kdegames3
Summary:	KDE - Games
Version:	3.0.2
Release:	1mdk
Epoch:		1
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source:		kdegames-%{version}.tar.bz2
Source1:	kfouleggs-16.xpm
Source2:	kfouleggs-32.xpm
Source3:	kfouleggs-48.xpm

BuildRoot:	%_tmppath/%name-%version-%release-root


%if %buildfor8_0
BuildRequires:	Mesa-common XFree86-devel XFree86-libs XFree86-static-libs
BuildRequires:	arts3 autoconf automake db1 diffutils file freetype2 gawk gcc-c++
BuildRequires:	gcc-cpp gettext kdelibs3 kdelibs3-devel 
BuildRequires:	libarts3 libbinutils2 libbzip2_1 libjpeg62
BuildRequires:	libjpeg62-devel libmng1 libpng2 libqt3 libqt3-devel libtermcap
BuildRequires:	m4 mktemp pam popt readline rpm-build texinfo zlib1
%endif

%if %buildfor8_1
BuildRequires:  Mesa-common XFree86-devel XFree86-libs XFree86-static-libs
BuildRequires:  arts3 autoconf automake db1 diffutils file freetype2 gawk gcc-c++
BuildRequires:  gcc-cpp gettext kdelibs3 kdelibs3-devel 
BuildRequires:  libarts3 libbinutils2 libbzip2_1 libjpeg62
BuildRequires:  libjpeg62-devel libmng1 libpng2 libqt3 libqt3-devel libtermcap
BuildRequires:  m4 mktemp pam popt readline rpm-build texinfo zlib1
%endif

%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts3
BuildRequires:	autoconf2.5 automake diffutils file freetype2-devel gawk gcc-c++
BuildRequires:	gcc-cpp gettext kdebase3-devel kdelibs3-devel 
BuildRequires:	libMesaGLU1 libalsa1-devel libarts3-devel  libaudiofile0-devel
BuildRequires:	libbinutils2 libbzip2_1-devel libintl1 libjpeg62-devel liblcms1
BuildRequires:	libmng1-devel libpng3-devel libqt3-devel 
BuildRequires:	libtermcap2 m4 mktemp perl-MDK-Common
BuildRequires:	popt rpm-build texinfo zlib1-devel
%endif

%if %buildfor8_3
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts3
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++
BuildRequires:  gcc-cpp gettext kdebase3-devel kdelibs3-devel
BuildRequires:  libMesaGLU1 libalsa2-devel libarts3-devel  libaudiofile0-devel
BuildRequires:  libbinutils2 libbzip2_1-devel libintl1 libjpeg62-devel liblcms1
BuildRequires:  libmng1-devel libpng3-devel libqt3-devel
BuildRequires:  libtermcap2 m4 mktemp perl-MDK-Common
BuildRequires:  popt rpm-build texinfo zlib1-devel
%endif

Obsoletes:	ktron kjumpingcube
Provides:	ktron kjumpingcube

%description
Games for the K Desktop Environment.


%package devel
Summary:	Headers files for kdegames
Group:		Development/KDE and QT
PreReq:		%name = %version-%release

%description devel
Headers files needed to build applications based on kdegames applications.



%prep

%setup -q  -nkdegames-%{version}

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
                    --host=%_target_platform \
		    --build=%_target_platform \
%if %unstable			
                    --enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --disable-objprelink \
		    --disable-embedded \
		    --disable-qtopia \
		    --disable-rpath \
                    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama

%make


%install
rm -fr %buildroot

export PATH=%_bindir:$PATH
# David - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot 

# Install LMDK menu structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/Games/Arcade/
kdedesktop2mdkmenu.pl kdegames3 Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/kasteroids.desktop %buildroot/%_menudir/kdegames3-kasteroids
kdedesktop2mdkmenu.pl kdegames3 Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/kbounce.desktop %buildroot/%_menudir/kdegames3-kbounce
kdedesktop2mdkmenu.pl kdegames3 Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/kfouleggs.desktop %buildroot/%_menudir/kdegames3-kfouleggs
#kdedesktop2mdkmenu.pl kdegames3 Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/kjezz.desktop %buildroot/%_menudir/kdegames3-kjezz
kdedesktop2mdkmenu.pl kdegames3 Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/ksirtet.desktop %buildroot/%_menudir/kdegames3-ksirtet
kdedesktop2mdkmenu.pl kdegames3 Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/ksmiletris.desktop %buildroot/%_menudir/kdegames3-ksmiletris
kdedesktop2mdkmenu.pl kdegames3 Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/ksnake.desktop %buildroot/%_menudir/kdegames3-ksnake
kdedesktop2mdkmenu.pl kdegames3 Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/kspaceduel.desktop %buildroot/%_menudir/kdegames3-kspaceduel
kdedesktop2mdkmenu.pl kdegames3 Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/ktron.desktop %buildroot/%_menudir/kdegames3-ktron

# %%_datadir/applnk/Games/Board/
#kdedesktop2mdkmenu.pl kdegames3 Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kabalone.desktop %buildroot/%_menudir/kdegames3-kabalone
kdedesktop2mdkmenu.pl kdegames3 Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kbackgammon.desktop %buildroot/%_menudir/kdegames3-kbackgammon
kdedesktop2mdkmenu.pl kdegames3 Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kbattleship.desktop %buildroot/%_menudir/kdegames3-kbattleship
kdedesktop2mdkmenu.pl kdegames3 Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kenolaba.desktop %buildroot/%_menudir/kdegames3-kenolaba
kdedesktop2mdkmenu.pl kdegames3 Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kblackbox.desktop %buildroot/%_menudir/kdegames3-kblackbox
kdedesktop2mdkmenu.pl kdegames3 Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kmahjongg.desktop %buildroot/%_menudir/kdegames3-kmahjongg
kdedesktop2mdkmenu.pl kdegames3 Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kreversi.desktop %buildroot/%_menudir/kdegames3-kreversi
kdedesktop2mdkmenu.pl kdegames3 Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kshisen.desktop %buildroot/%_menudir/kdegames3-kshisen
kdedesktop2mdkmenu.pl kdegames3 Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kwin4.desktop %buildroot/%_menudir/kdegames3-kwin4

# %%_datadir/applnk/Games/Card/
kdedesktop2mdkmenu.pl kdegames3 Amusement/Cards %buildroot/%_datadir/applnk/Games/Card/kpat.desktop %buildroot/%_menudir/kdegames3-kpat
kdedesktop2mdkmenu.pl kdegames3 Amusement/Cards %buildroot/%_datadir/applnk/Games/Card/kpoker.desktop %buildroot/%_menudir/kdegames3-kpoker
kdedesktop2mdkmenu.pl kdegames3 Amusement/Cards %buildroot/%_datadir/applnk/Games/Card/lskat.desktop %buildroot/%_menudir/kdegames3-lskat

# %%_datadir/applnk/Games/Strategy/
kdedesktop2mdkmenu.pl kdegames3 Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/katomic.desktop %buildroot/%_menudir/kdegames3-katomic
kdedesktop2mdkmenu.pl kdegames3 Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/kjumpingcube.desktop %buildroot/%_menudir/kdegames3-kjumpingcube
kdedesktop2mdkmenu.pl kdegames3 Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/klines.desktop %buildroot/%_menudir/kdegames3-klines
kdedesktop2mdkmenu.pl kdegames3 Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/kmines.desktop %buildroot/%_menudir/kdegames3-kmines
kdedesktop2mdkmenu.pl kdegames3 Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/konquest.desktop %buildroot/%_menudir/kdegames3-konquest
kdedesktop2mdkmenu.pl kdegames3 Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/ksame.desktop %buildroot/%_menudir/kdegames3-ksame
kdedesktop2mdkmenu.pl kdegames3 Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/ksokoban.desktop %buildroot/%_menudir/kdegames3-ksokoban

# %%_datadir/applnk/Toys/
kdedesktop2mdkmenu.pl kdegames3 Amusement/Strategy %buildroot/%_datadir/applnk/Toys/ktuberling.desktop %buildroot/%_menudir/kdegames3-ktuberling

%if !%buildfor8_0
install -d %buildroot/%_iconsdir/mini/
install -d %buildroot/%_iconsdir/large/
install -m 644 %SOURCE1 %buildroot/%_iconsdir/mini/kfouleggs.xpm
install -m 644 %SOURCE2 %buildroot/%_iconsdir/kfouleggs.xpm
install -m 644 %SOURCE3 %buildroot/%_iconsdir/large/kfouleggs.xpm
perl -pi -e "s#kfouleggs.png#kfouleggs.xpm#" %buildroot/%_menudir/kdegames-kfouleggs
%endif



%post
%define _bindir         /usr/bin/
/sbin/ldconfig
%update_menus
%define _bindir         /opt/kde3/bin/

%postun
%define _bindir         /usr/bin/
/sbin/ldconfig
%clean_menus
%define _bindir         /opt/kde3/bin/

%clean
rm -fr %buildroot


%files 
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#%dir %_docdir/HTML/en/kabalone/
#%doc %_docdir/HTML/en/kabalone/common
#%doc %_docdir/HTML/en/kabalone/*.docbook
#%doc %_docdir/HTML/en/kabalone/*.bz2
#%doc %_docdir/HTML/en/kabalone/*.png
#
%dir %_docdir/HTML/en/kbounce/
%doc %_docdir/HTML/en/kbounce/common
%doc %_docdir/HTML/en/kbounce/*.bz2
%doc %_docdir/HTML/en/kbounce/*.docbook
%doc %_docdir/HTML/en/kbounce/*.png
#
%dir %_docdir/HTML/en/kenolaba/
%doc %_docdir/HTML/en/kenolaba/common
%doc %_docdir/HTML/en/kenolaba/*.bz2
%doc %_docdir/HTML/en/kenolaba/*.png
%doc %_docdir/HTML/en/kenolaba/*.docbook
#
%dir %_docdir/HTML/en/kasteroids/
%doc %_docdir/HTML/en/kasteroids/common
%doc %_docdir/HTML/en/kasteroids/*.docbook
%doc %_docdir/HTML/en/kasteroids/*.png
%doc %_docdir/HTML/en/kasteroids/*.bz2
#
#
%dir %_docdir/HTML/en/katomic/
%doc %_docdir/HTML/en/katomic/common
%doc %_docdir/HTML/en/katomic/*.docbook
%doc %_docdir/HTML/en/katomic/*.bz2
#
#
%dir %_docdir/HTML/en/kbackgammon/
%doc %_docdir/HTML/en/kbackgammon/common
%doc %_docdir/HTML/en/kbackgammon/*.docbook
%doc %_docdir/HTML/en/kbackgammon/*.png
%doc %_docdir/HTML/en/kbackgammon/*.bz2
#
#
%dir %_docdir/HTML/en/kbattleship/
%doc %_docdir/HTML/en/kbattleship/common
%doc %_docdir/HTML/en/kbattleship/*.docbook
%doc %_docdir/HTML/en/kbattleship/*.bz2
#
#
%dir %_docdir/HTML/en/kblackbox/
%doc %_docdir/HTML/en/kblackbox/common
%doc %_docdir/HTML/en/kblackbox/*.docbook
%doc %_docdir/HTML/en/kblackbox/*.png
%doc %_docdir/HTML/en/kblackbox/*.bz2
#
#
%dir %_docdir/HTML/en/kfouleggs/
%doc %_docdir/HTML/en/kfouleggs/common
%doc %_docdir/HTML/en/kfouleggs/*.docbook
%doc %_docdir/HTML/en/kfouleggs/*.bz2
%doc %_docdir/HTML/en/kfouleggs/*.png
#
#
#%dir %_docdir/HTML/en/kjezz/
#%doc %_docdir/HTML/en/kjezz/common
#%doc %_docdir/HTML/en/kjezz/*.docbook
#%doc %_docdir/HTML/en/kjezz/*.bz2
#
#
%dir %_docdir/HTML/en/kjumpingcube/
%doc %_docdir/HTML/en/kjumpingcube/common
%doc %_docdir/HTML/en/kjumpingcube/*.docbook
%doc %_docdir/HTML/en/kjumpingcube/*.bz2
#
#
%dir %_docdir/HTML/en/klines/
%doc %_docdir/HTML/en/klines/common
%doc %_docdir/HTML/en/klines/*.docbook
%doc %_docdir/HTML/en/klines/*.bz2
#
#
%dir %_docdir/HTML/en/kmines/
%doc %_docdir/HTML/en/kmines/common
%doc %_docdir/HTML/en/kmines/*.docbook
%doc %_docdir/HTML/en/kmines/*.png
%doc %_docdir/HTML/en/kmines/*.bz2
#
#
%dir %_docdir/HTML/en/konquest/
%doc %_docdir/HTML/en/konquest/common
%doc %_docdir/HTML/en/konquest/*.docbook
%doc %_docdir/HTML/en/konquest/*.bz2
#
#
%dir %_docdir/HTML/en/kpat/
%doc %_docdir/HTML/en/kpat/common
%doc %_docdir/HTML/en/kpat/*.docbook
%doc %_docdir/HTML/en/kpat/*.png
%doc %_docdir/HTML/en/kpat/*.bz2
#
#
%dir %_docdir/HTML/en/kpoker/
%_docdir/HTML/en/kpoker/common
%_docdir/HTML/en/kpoker/*.docbook
%_docdir/HTML/en/kpoker/*.png
%_docdir/HTML/en/kpoker/*.bz2
#
#
%dir %_docdir/HTML/en/kreversi/
%doc %_docdir/HTML/en/kreversi/common
%doc %_docdir/HTML/en/kreversi/*.docbook
%doc %_docdir/HTML/en/kreversi/*.png
%doc %_docdir/HTML/en/kreversi/*.bz2
#
#
%dir %_docdir/HTML/en/ksame/
%doc %_docdir/HTML/en/ksame/common
%doc %_docdir/HTML/en/ksame/*.docbook
%doc %_docdir/HTML/en/ksame/*.bz2
#
#
%dir %_docdir/HTML/en/kshisen/
%doc %_docdir/HTML/en/kshisen/common
%doc %_docdir/HTML/en/kshisen/*.docbook
%doc %_docdir/HTML/en/kshisen/*.bz2
#
#
%dir %_docdir/HTML/en/ksirtet/
%doc %_docdir/HTML/en/ksirtet/common
%doc %_docdir/HTML/en/ksirtet/*.docbook
%doc %_docdir/HTML/en/ksirtet/*.bz2
#
#
%dir %_docdir/HTML/en/ksnake/
%doc %_docdir/HTML/en/ksnake/common
%doc %_docdir/HTML/en/ksnake/*.docbook
%doc %_docdir/HTML/en/ksnake/*.bz2
#
#
%dir %_docdir/HTML/en/ksokoban/
%doc %_docdir/HTML/en/ksokoban/common
%doc %_docdir/HTML/en/ksokoban/*.docbook
%doc %_docdir/HTML/en/ksokoban/*.bz2
#
#
%dir %_docdir/HTML/en/kspaceduel/
%doc %_docdir/HTML/en/kspaceduel/common
%doc %_docdir/HTML/en/kspaceduel/*.docbook
%doc %_docdir/HTML/en/kspaceduel/*.png
%doc %_docdir/HTML/en/kspaceduel/*.bz2
#
#
%dir %_docdir/HTML/en/ktron/
%doc %_docdir/HTML/en/ktron/common
%doc %_docdir/HTML/en/ktron/*.docbook
%doc %_docdir/HTML/en/ktron/*.bz2
#
#
%dir %_docdir/HTML/en/ktuberling/
%doc %_docdir/HTML/en/ktuberling/common
%doc %_docdir/HTML/en/ktuberling/*.docbook
%doc %_docdir/HTML/en/ktuberling/*.png
%doc %_docdir/HTML/en/ktuberling/*.bz2
#
#
%dir %_docdir/HTML/en/kwin4/
%doc %_docdir/HTML/en/kwin4/common
%doc %_docdir/HTML/en/kwin4/*.docbook
%doc %_docdir/HTML/en/kwin4/*.bz2
#
#
%dir %_docdir/HTML/en/lskat/
%doc %_docdir/HTML/en/lskat/common
%doc %_docdir/HTML/en/lskat/*.docbook
%doc %_docdir/HTML/en/lskat/*.bz2
#
#
#
#%_bindir/kabalone
%_bindir/kbounce
%_bindir/kenolaba
%_bindir/kasteroids
%_bindir/katomic
%_bindir/kbackgammon
%_bindir/kbattleship
%_bindir/kblackbox
%_bindir/kfouleggs
#%_bindir/kjezz
%_bindir/kjumpingcube
%_bindir/klines
%_bindir/kmahjongg
%_bindir/kmines
%_bindir/konquest
%_bindir/kpat
%_bindir/kpoker
%_bindir/kwin4proc
%_bindir/kreversi
%_bindir/ksame
%_bindir/kshisen
%_bindir/ksirtet
%_bindir/ksmiletris
%_bindir/ksnake
%_bindir/ksokoban
%_bindir/kspaceduel
%_bindir/ktron
%_bindir/ktuberling
%_bindir/kwin4
%_bindir/lskat
%_bindir/lskatproc
#
#
#
%_libdir/kbackgammon.la
%_libdir/libkdegames.la
%_libdir/libkdehighscores.la
%_libdir/libksirtetbase.la
%_libdir/libksirtetcommon.la
#
#
%_libdir/kbackgammon.so
%_libdir/libkdegames.so*
%_libdir/libkdehighscores.so*
%_libdir/libksirtetbase.so*
%_libdir/libksirtetcommon.so*
#
#
#
#%_menudir/kdegames3-kabalone
%_menudir/kdegames3-kasteroids
%_menudir/kdegames3-katomic
%_menudir/kdegames3-kbackgammon
%_menudir/kdegames3-kbattleship
%_menudir/kdegames3-kblackbox
%_menudir/kdegames3-kfouleggs
%_menudir/kdegames3-kjumpingcube
%_menudir/kdegames3-klines
%_menudir/kdegames3-kmahjongg
%_menudir/kdegames3-kmines
%_menudir/kdegames3-konquest
%_menudir/kdegames3-kpat
%_menudir/kdegames3-kpoker
%_menudir/kdegames3-kreversi
%_menudir/kdegames3-ksame
%_menudir/kdegames3-kshisen
%_menudir/kdegames3-ksirtet
%_menudir/kdegames3-ksmiletris
%_menudir/kdegames3-ksnake
%_menudir/kdegames3-ksokoban
%_menudir/kdegames3-kspaceduel
%_menudir/kdegames3-ktron
%_menudir/kdegames3-ktuberling
%_menudir/kdegames3-kwin4
%_menudir/kdegames3-lskat
%_menudir/kdegames3-kenolaba
%_menudir/kdegames3-kbounce
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Games/
%dir %_datadir/applnk/Games/Arcade/
%_datadir/applnk/Games/Arcade/*.desktop
#
%dir %_datadir/applnk/Games/Board/
%_datadir/applnk/Games/Board/*.desktop
#
%dir %_datadir/applnk/Games/Card/
%_datadir/applnk/Games/Card/*.desktop
#
%dir %_datadir/applnk/Games/TacticStrategy/
%_datadir/applnk/Games/TacticStrategy/*.desktop
#
%dir %_datadir/applnk/Toys/
%_datadir/applnk/Toys/*.desktop
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/carddecks/
%dir %_datadir/apps/carddecks/cards-aisleriot/
%_datadir/apps/carddecks/cards-aisleriot/COPYRIGHT
%_datadir/apps/carddecks/cards-aisleriot/*.desktop
%_datadir/apps/carddecks/cards-aisleriot/*.png
#
%dir %_datadir/apps/carddecks/cards-default/
%_datadir/apps/carddecks/cards-default/*.desktop
%_datadir/apps/carddecks/cards-default/*.png
#
%dir %_datadir/apps/carddecks/cards-dondorf-whist-b/
%_datadir/apps/carddecks/cards-dondorf-whist-b/COPYRIGHT
%_datadir/apps/carddecks/cards-dondorf-whist-b/*.desktop
%_datadir/apps/carddecks/cards-dondorf-whist-b/*.png
#
%dir %_datadir/apps/carddecks/cards-gdkcard-bonded/
%_datadir/apps/carddecks/cards-gdkcard-bonded/COPYRIGHT
%_datadir/apps/carddecks/cards-gdkcard-bonded/*.desktop
%_datadir/apps/carddecks/cards-gdkcard-bonded/*.png
#
%dir %_datadir/apps/carddecks/cards-hard-a-port/
%_datadir/apps/carddecks/cards-hard-a-port/COPYRIGHT
%_datadir/apps/carddecks/cards-hard-a-port/*.desktop
%_datadir/apps/carddecks/cards-hard-a-port/*.png
#
%dir %_datadir/apps/carddecks/cards-konqi-modern/
%_datadir/apps/carddecks/cards-konqi-modern/*.desktop
%_datadir/apps/carddecks/cards-konqi-modern/*.png
#
%dir %_datadir/apps/carddecks/cards-penguins/
%_datadir/apps/carddecks/cards-penguins/COPYRIGHT
%_datadir/apps/carddecks/cards-penguins/*.desktop
%_datadir/apps/carddecks/cards-penguins/*.png
#
%dir %_datadir/apps/carddecks/cards-spaced/
%_datadir/apps/carddecks/cards-spaced/COPYRIGHT
%_datadir/apps/carddecks/cards-spaced/*.desktop
%_datadir/apps/carddecks/cards-spaced/*.png

%dir %_datadir/apps/carddecks/cards-warwick/
%_datadir/apps/carddecks/cards-warwick/*.desktop
%_datadir/apps/carddecks/cards-warwick/*.png
#
%dir %_datadir/apps/carddecks/cards-xskat-french/
%_datadir/apps/carddecks/cards-xskat-french/COPYRIGHT
%_datadir/apps/carddecks/cards-xskat-french/*.desktop
%_datadir/apps/carddecks/cards-xskat-french/*.png
#
%dir %_datadir/apps/carddecks/decks/
%_datadir/apps/carddecks/decks/*.desktop
%_datadir/apps/carddecks/decks/*.png
#
#
%dir %_datadir/apps/kenolaba/
%_datadir/apps/kenolaba/*.rc
%dir %_datadir/apps/kenolaba/toolbar/
%_datadir/apps/kenolaba/toolbar/*.xpm
#
%dir %_datadir/apps/kbounce/
%_datadir/apps/kbounce/*.rc
%dir %_datadir/apps/kbounce/pics/
%_datadir/apps/kbounce/pics/*.png
%dir %_datadir/apps/kbounce/sounds/
%_datadir/apps/kbounce/sounds/*.au
#
%dir %_datadir/apps/kasteroids/
%_datadir/apps/kasteroids/*.rc
#
%dir %_datadir/apps/kasteroids/sounds/
%_datadir/apps/kasteroids/sounds/*.wav
#
%dir %_datadir/apps/kasteroids/sprites/
%_datadir/apps/kasteroids/sprites/*.png
#
%dir %_datadir/apps/kasteroids/sprites/bits/
%_datadir/apps/kasteroids/sprites/bits/*.png
#
%dir %_datadir/apps/kasteroids/sprites/exhaust/
%_datadir/apps/kasteroids/sprites/exhaust/*.png
#
%dir %_datadir/apps/kasteroids/sprites/missile/
%_datadir/apps/kasteroids/sprites/missile/*.png
#
%dir %_datadir/apps/kasteroids/sprites/powerups/
%_datadir/apps/kasteroids/sprites/powerups/*.png
#
%dir %_datadir/apps/kasteroids/sprites/rock1/
%_datadir/apps/kasteroids/sprites/rock1/*.png
#
%dir %_datadir/apps/kasteroids/sprites/rock2/
%_datadir/apps/kasteroids/sprites/rock2/*.png
#
%dir %_datadir/apps/kasteroids/sprites/rock3/
%_datadir/apps/kasteroids/sprites/rock3/*.png
#
%dir %_datadir/apps/kasteroids/sprites/shield/
%_datadir/apps/kasteroids/sprites/shield/*.png
#
%dir %_datadir/apps/kasteroids/sprites/ship/
%_datadir/apps/kasteroids/sprites/ship/*.png
#
#
%dir %_datadir/apps/katomic/
%_datadir/apps/katomic/*.rc
#
%dir %_datadir/apps/katomic/levels/
%_datadir/apps/katomic/levels/level_*
#
%dir %_datadir/apps/katomic/pics/
%_datadir/apps/katomic/pics/*.png
#
#
%dir %_datadir/apps/kbackgammon/
%_datadir/apps/kbackgammon/*rc
#
%dir %_datadir/apps/kbackgammon/pics/
%_datadir/apps/kbackgammon/pics/*.png
%_datadir/apps/kbackgammon/pics/*.xpm
#
%dir %_datadir/apps/kbackgammon/sounds/
%_datadir/apps/kbackgammon/sounds/*.wav
#
#
%dir %_datadir/apps/kbattleship/
%_datadir/apps/kbattleship/*.rc
#
%dir %_datadir/apps/kbattleship/pictures/
%_datadir/apps/kbattleship/pictures/*.png
#
%dir %_datadir/apps/kbattleship/sounds/
%_datadir/apps/kbattleship/sounds/*.mp3
#
#
%dir %_datadir/apps/kblackbox/
%_datadir/apps/kblackbox/*.rc
#
%dir %_datadir/apps/kblackbox/pics/
%_datadir/apps/kblackbox/pics/*.xpm
#
#
%dir %_datadir/apps/kdegames/
%dir %_datadir/apps/kdegames/pics/
%_datadir/apps/kdegames/pics/*.png
#
#
%dir %_datadir/apps/kfouleggs/
%_datadir/apps/kfouleggs/*.rc
#
#
%dir %_datadir/apps/kjumpingcube/
%_datadir/apps/kjumpingcube/*.rc
#
#
%dir %_datadir/apps/klines/
%_datadir/apps/klines/*.jpg
#
#
%dir %_datadir/apps/kmahjongg/
%dir %_datadir/apps/kmahjongg/pics/
%_datadir/apps/kmahjongg/pics/*.bgnd
%_datadir/apps/kmahjongg/pics/*.layout
%_datadir/apps/kmahjongg/pics/*.png
%_datadir/apps/kmahjongg/pics/*.theme
%_datadir/apps/kmahjongg/pics/*.tileset
#
%dir %_datadir/apps/kmahjongg/toolbar/
%_datadir/apps/kmahjongg/toolbar/*.xpm
#
#
%dir %_datadir/apps/kmines/
%_datadir/apps/kmines/*.rc
#
#
%dir %_datadir/apps/konquest/
%_datadir/apps/konquest/*.rc
%dir %_datadir/apps/konquest/pics/
%_datadir/apps/konquest/pics/*.png
%_datadir/apps/konquest/pics/*.xpm
#
#
%dir %_datadir/apps/kpat/
%_datadir/apps/kpat/*.rc
#
#
%dir %_datadir/apps/kpoker/
%_datadir/apps/kpoker/*.rc
#
%dir %_datadir/apps/kpoker/sounds/
%_datadir/apps/kpoker/sounds/*.wav
#
#
%dir %_datadir/apps/kreversi/
%dir %_datadir/apps/kreversi/pics/
%_datadir/apps/kreversi/pics/*.xpm
#
%dir %_datadir/apps/kreversi/pics/background/
%_datadir/apps/kreversi/pics/background/*.xpm
#
%dir %_datadir/apps/kreversi/sounds/
%_datadir/apps/kreversi/sounds/*.wav
#
#
%dir %_datadir/apps/ksame/
%_datadir/apps/ksame/eventsrc
%_datadir/apps/ksame/*.png
%_datadir/apps/ksame/*.rc
#
#
%dir %_datadir/apps/kshisen/
%_datadir/apps/kshisen/*.rc
%_datadir/apps/kshisen/*.xpm
#
#
%dir %_datadir/apps/ksirtet/
%_datadir/apps/ksirtet/*.rc
#
#
%dir %_datadir/apps/ksmiletris/
%_datadir/apps/ksmiletris/*.rc
%dir %_datadir/apps/ksmiletris/data/
%_datadir/apps/ksmiletris/data/*.bmp
#
%dir %_datadir/apps/ksmiletris/sounds/
%_datadir/apps/ksmiletris/sounds/*.wav
#
#
%dir %_datadir/apps/ksnake/
%_datadir/apps/ksnake/highScores
%_datadir/apps/ksnake/*.rc
#
%dir %_datadir/apps/ksnake/backgrounds/
%_datadir/apps/ksnake/backgrounds/*.png
#
%dir %_datadir/apps/ksnake/levels/
%_datadir/apps/ksnake/levels/room*
#
%dir %_datadir/apps/ksnake/pics/
%_datadir/apps/ksnake/pics/*.png
#
#
%dir %_datadir/apps/kspaceduel/
%_datadir/apps/kspaceduel/*.rc
#
%dir %_datadir/apps/kspaceduel/icons/
%dir %_datadir/apps/kspaceduel/icons/hicolor/
%dir %_datadir/apps/kspaceduel/icons/hicolor/16x16/
%dir %_datadir/apps/kspaceduel/icons/hicolor/16x16/actions/
%_datadir/apps/kspaceduel/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kspaceduel/icons/hicolor/22x22/
%dir %_datadir/apps/kspaceduel/icons/hicolor/22x22/actions/
%_datadir/apps/kspaceduel/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kspaceduel/icons/hicolor/32x32/
%dir %_datadir/apps/kspaceduel/icons/hicolor/32x32/actions/
%_datadir/apps/kspaceduel/icons/hicolor/32x32/actions/*.png
%dir %_datadir/apps/kspaceduel/icons/locolor/
%dir %_datadir/apps/kspaceduel/icons/locolor/16x16/
%dir %_datadir/apps/kspaceduel/icons/locolor/16x16/actions/
%_datadir/apps/kspaceduel/icons/locolor/16x16/actions/*.png
#
%dir %_datadir/apps/kspaceduel/sprites/
%_datadir/apps/kspaceduel/sprites/*.png
#
%dir %_datadir/apps/kspaceduel/sprites/explosion/
%_datadir/apps/kspaceduel/sprites/explosion/*.pbm
%_datadir/apps/kspaceduel/sprites/explosion/*.ppm
#
%dir %_datadir/apps/kspaceduel/sprites/playerinfo/
%_datadir/apps/kspaceduel/sprites/playerinfo/*.pnm
#
%dir %_datadir/apps/kspaceduel/sprites/powerups/
%_datadir/apps/kspaceduel/sprites/powerups/*.pbm
%_datadir/apps/kspaceduel/sprites/powerups/*.ppm
#
%dir %_datadir/apps/kspaceduel/sprites/ship1/
%_datadir/apps/kspaceduel/sprites/ship1/*.pbm
%_datadir/apps/kspaceduel/sprites/ship1/*.ppm
#
%dir %_datadir/apps/kspaceduel/sprites/ship2/
%_datadir/apps/kspaceduel/sprites/ship2/*.pbm
%_datadir/apps/kspaceduel/sprites/ship2/*.ppm
#
%dir %_datadir/apps/kspaceduel/sprites/sun/
%_datadir/apps/kspaceduel/sprites/sun/*.pbm
%_datadir/apps/kspaceduel/sprites/sun/*.ppm
#
#
%dir %_datadir/apps/ktron/
%_datadir/apps/ktron/*.rc
#
#
%dir %_datadir/apps/ktuberling/
%_datadir/apps/ktuberling/ktuberlingui.rc
#
%dir %_datadir/apps/ktuberling/museum/
%_datadir/apps/ktuberling/museum/*.tuberling
#
%dir %_datadir/apps/ktuberling/pics/
%_datadir/apps/ktuberling/pics/*.xml 
%_datadir/apps/ktuberling/pics/*.png
#
%dir %_datadir/apps/ktuberling/sounds/
%dir %_datadir/apps/ktuberling/sounds/en/
%_datadir/apps/ktuberling/sounds/en/*.wav
#
#
%dir %_datadir/apps/kwin4/
%_datadir/apps/kwin4/*.rc
#
%dir %_datadir/apps/kwin4/grafix/
%dir %_datadir/apps/kwin4/grafix/default/
%_datadir/apps/kwin4/grafix/default/*.png
%_datadir/apps/kwin4/grafix/default/*.rc
#
#
%dir %_datadir/apps/lskat/
%_datadir/apps/lskat/*.rc
#
%dir %_datadir/apps/lskat/grafix/
%_datadir/apps/lskat/grafix/*.png
#
#
#
%if %buildfor8_1 || %buildfor8_2
#%_iconsdir/*.xpm
#
#%dir %_iconsdir/mini/
#%_iconsdir/mini/*.xpm
#
#%dir %_iconsdir/large/
#%_iconsdir/large/*.xpm
#
%endif
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png

%dir %_iconsdir/hicolor/16x16/actions/
%_iconsdir/hicolor/16x16/actions/*.png

%dir %_iconsdir/hicolor/22x22/
%dir %_iconsdir/hicolor/22x22/actions/
%_iconsdir/hicolor/22x22/actions/*.png

%dir %_iconsdir/hicolor/32x32/actions/
%_iconsdir/hicolor/32x32/actions/*.png

%files devel
%defattr(-,root,root,-)
%_includedir/*.h

%dir %_includedir/kgame/
%_includedir/kgame/*.h



%changelog
* Wed Jun 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Tue May 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Rebuild against gcc3.1

* Mon Apr 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against libalsa2

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'
- Fix spec file 
- Add missing menu entry

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Thu Mar 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.4mdk
- RC2

* Wed Feb 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.4mdk
- Fix BuildRequires for 8.2

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix ./configure
- Enable debug
- Set unstable macro to 1

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- fix spec file

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.3mdk
- Rename to allow KDE 2 & 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.3mdk
- kde 3.0 beta1

* Fri Nov 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

